import { Routes, RouterModule } from '@angular/router';
import { NgModule } from '@angular/core';
import { AllFileComponent } from './all-file/all-file.component';
import { EnterpriseuserComponent } from './enterpriseuser/enterpriseuser.component';
import { TeacherManagementComponent } from './teacherManagement/enterpriseuser.component';
import {EhartsStatisticsComponent} from './eharts-statistics/eharts-statistics.component'

import { LearningRecordDetailsComponent } from './learning-record-details/learning-record-details.component';
const routes: Routes = [
    { path: '', component:AllFileComponent },
    { path: 'userManagement', component:EnterpriseuserComponent },
    { path: 'teacherManagement', component:TeacherManagementComponent },
    { path: 'statistics', component:EhartsStatisticsComponent },
    { path: 'learningrecorddetails', component:LearningRecordDetailsComponent }
];

@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule]
})
export class UiRoutingModule {}
