import { Component, OnInit,Input } from '@angular/core';

@Component({
  selector: 'app-upload-files',
  templateUrl: './upload-files.component.html',
  styleUrls: ['./upload-files.component.scss']
})
export class UploadFilesComponent implements OnInit {

  constructor() { }

  ngOnInit(): void {
   
  }
  
  @Input( ) thatFile:any //父组件

  isShow:boolean = true; //弹出框最大/化最小化
  filesData:any = []; //上传文件夹数据

  //上传文件夹弹窗显隐
  toggle () {
    this.isShow = !this.isShow
  }

  //处理数据格式
  handleData () {
    this.filesData = []
    for (let i=0; i<this.thatFile.fileArr.length; i++) {
      this.thatFile.fileArr[i].state = 0
      this.filesData.push(this.thatFile.fileArr[i])
    }
  }

  //当前上传文件正在上传
  uploading (e) {
    this.filesData.forEach(element => {
      if (element.name == e.name) {
        element.state = 1 
        return
      }
    });
  }

  //当前上传文件上传成功
  endUpload (e) {
    this.filesData.forEach(element => {
      if (element.name == e.name) {
        element.state = 2 
        return
      }
    });
  }

  //清空数据
  delete () {
    this.filesData = []
  }

  //取消上传
  cancel () {
    this.thatFile.cancel2()
  }



}
